@ECHO OFF
rem LHA.EXE version ... 03-18-95   HARD DISKS SETUP
rem Batch Setup program for ASP CDROM to install SAMPLE Data - Al Dodd

:commandline
CLS
ECHO  **********************************************************************
ECHO  *                                                                    *
ECHO  *   League Manager Setup Utility for Version 1.9X                    *
ECHO  *                                                                    *
ECHO  *   LHA.EXE is a file compression utility program                    *
ECHO  *      copyrighted by Haruyasu Yoshizaki                             *
ECHO  *                                                                    *
ECHO  *   This procedure will create the following directories:            *
ECHO  *    .\SAMPLE - for sample data files                                *
ECHO  *    .\DATA95 - for your own data files                              *
ECHO  *                                                                    *
ECHO  **********************************************************************

:start
pause
if exist .\SAMPLE\*.* goto checkd
echo Creating new directory for SAMPLE data as .\SAMPLE
md SAMPLE

:checkd
if exist .\DATA95\*.* goto startcopy
echo Creating new directory for your DATA files as .\DATA95
md DATA95

:startcopy
rem should be ready to copy files now
echo Installing files to .\SAMPLE directory ...

COPY LMH.INI LM.INI

@echo on
LHA E /M LMDATA.LZH .\SAMPLE\
@echo off
if errorlevel 1 goto errhandle
goto done

:errhandle
echo.
echo *** AN ERROR IN THE INSTALLATION PROCESS HAS OCCURED ***
echo.
if errorlevel 3 goto err3
if errorlevel 2 goto err2
if errorlevel 1 goto err1
echo An Unknown error occurred
goto exit

:err3
echo Failed to write temporary file
goto exit

:err2
echo FATAL error occured
goto exit

:err1
echo CRC error -or- Disk is FULL
goto exit

:done
echo.
echo Now copying report formats to your data directory ...
@echo on
CD SAMPLE
copy *.frm ..\DATA95
copy *.rst ..\DATA95
@echo off

echo.
echo League Manager Setup is complete.
echo.
echo Additional information can be found in the README.DOC file
echo to print this file, type COPY README.DOC PRN
echo or you may view it using the DOS - TYPE or LIST commands.
echo.
echo You may also press F1 key to get On-line HELP screens at any time.
echo.

rem log into dir
cd..
echo.
echo The opening screen will ask you to enter the DATA Directory
echo where your data is stored.  To see the SAMPLE data files:
echo Enter the following:  .\SAMPLE   (Enter)
echo.
echo To run the program, type in LEAGUE    (Enter)
echo.
:EXIT
